Skip to main content
Alerting & Response/On-Call
POSTOnCallSince 1.0SynchronousAuth Required

ProcessEscalationAlert

Process a firing alert through the specified escalation policy

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • policyIdStringRequired

    ID of the escalation policy to use for processing the alert

  • alertIdStringRequired

    Identifier of the alert to process through the escalation policy

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/api/v1/oncall/escalation-policies/{policyId}/process/{alertId}

/api/v1/oncall/escalation-policies/{policyId}/process/{alertId}

Operation ID

ProcessEscalationAlert

Permalink

Request Example

curl -X POST '{host}/api/v1/oncall/escalation-policies/{policyId}/process/{alertId}' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history